import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取设备或泵站（工艺图关联）
 */
export const GetAssetsOrgFullLogicalTreeListStd = async (req: any = request) => {
	return req({
		url: '/Assets/Org/Logic/GetFullLogicalTreeList@V1.0',
		method: 'GET',
	});
};

/**
 * 获取设备或泵站（工艺图关联）
 * 报错时返回 undefined
 * @returns
 */
export const getAssetsOrgFullLogicalTreeListStd = async (req: any = request) => {
	const res = await GetAssetsOrgFullLogicalTreeListStd(req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as any[];
		return resData;
	} else {
		ElMessage.error('获取设备目录失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
